langcode: en
status: true
dependencies:
  config:
    - filter.format.full_html
  module:
    - ckeditor5
format: full_html
editor: ckeditor5
settings:
  toolbar:
    items:
      - bold
      - italic
      - underline
      - strikethrough
      - superscript
      - subscript
      - removeFormat
      - '|'
      - undo
      - redo
      - '|'
      - alignment
      - '|'
      - link
      - '|'
      - bulletedList
      - numberedList
      - outdent
      - indent
      - '|'
      - blockQuote
      - drupalInsertImage
      - insertTable
      - horizontalLine
      - drupalMedia
      - '|'
      - heading
      - codeBlock
      - '|'
      - specialCharacters
      - sourceEditing
  plugins:
    ckeditor5_heading:
      enabled_headings:
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_sourceEditing:
      allowed_tags: {  }
    ckeditor5_list:
      reversed: true
      startIndex: true
    ckeditor5_alignment:
      enabled_alignments:
        - left
        - center
        - right
        - justify
    ckeditor5_imageResize:
      allow_resize: true
    linkit_extension:
      linkit_enabled: true
      linkit_profile: content_nodes
    media_media:
      allow_view_mode_override: false
image_upload:
  status: true
  scheme: public
  directory: inline-images
  max_size: ''
  max_dimensions:
    width: 0
    height: 0
